PHP Manual
Prev |  | Next

# mysqli_options

(PHP 5)

mysqli_options

(no version information, might be only in CVS)

mysqli->options() -- Set options

## Description

Procedural style:

bool mysqli_options ( mysqli link, int option, mixed value )

Object oriented style (method)

class mysqli {
bool options ( int option, mixed value )
}

Used to set extra connect options and affect behavior for a connection.

This function may be called multiple times to set several options.

mysqli_options() should be called after mysqli_init() and before mysqli_real_connect().

## Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

`option`

  The option that you want to set. It can be one of the following values:

  Table 1. Valid options

  Name | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | connection timeout in seconds
  `MYSQLI_OPT_LOCAL_INFILE` | enable/disable use of `LOAD LOCAL INFILE`
  `MYSQLI_INIT_COMMAND` | command to execute after when connecting to MySQL server
  `MYSQLI_READ_DEFAULT_FILE` | Read options from named option file instead of `my.cnf`
  `MYSQLI_READ_DEFAULT_GROUP` | Read options from the named group from `my.cnf` or the file specified with `MYSQL_READ_DEFAULT_FILE`.

`value`

  The value for the option.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

See mysqli_real_connect().

## See Also

mysqli_init()
mysqli_real_connect()

Prev | Home | Next
mysqli_num_rows | Up | mysqli_param_count